* {
    box-sizing: border-box;
}

/* Type code below */

#id-selector { /* 1 0 0 */
    color: red;
}

.class-selector { /* 0 1 0 */
    color: purple;
}

div { /* 0 0 1 */
    color: blue;
}

div { /* 0 0 1 */
    color: yellow;
}

span {
    color: green !important; /* 1 0 0 0 0 */
}

div span { /* 0 0 2 */
    color: pink;
}